Michael Sloan
mgsloan

Organizations

@diagrams @lens
Jul 8, 2016
Jul 1, 2016
@mgsloan
  • @mgsloan 33da295
    WIP unregister-broken command #1811
Jul 1, 2016
@mgsloan

@sigrlami Stack will notice that the packages are missing and rebuild them. I have pushed this branch which has an unregister-broken command: https…

Jun 30, 2016
@mgsloan
  • @mgsloan 84d1202
    Require tar version with tarbomb fix #2315
Jun 30, 2016
@mgsloan
Cannot build posix-paths
Jun 30, 2016
@mgsloan

Did you build stack via cabal? In that case, you can get behavior which don't affect other stack users, because of different package versions. In t…

Jun 30, 2016
mgsloan commented on pull request fpco/store#56
@mgsloan

Thanks for opening a PR! Always appreciated. Looks like this already happened another way. Sorry for not being more responsive, been busy.

Jun 30, 2016
@mgsloan

Run stack exec -- ghc-pkg check? It seems like there are cases where packages start out or become broken, and are still in the DB. You can use stac…

Jun 30, 2016
@mgsloan

True! If only we could load multiple main files and even packages into ghci - https://ghc.haskell.org/trac/ghc/ticket/10827 I'd certainly merge a P…

Jun 30, 2016
@mgsloan
undefined variable error in nix.packages
Jun 30, 2016
@mgsloan

Closing, feel free to re-open.

Jun 30, 2016
@mgsloan

One option for more selectively re-building a package is stack exec -- ghc-pkg unregister X.

Jun 30, 2016
@mgsloan
Jun 30, 2016
@mgsloan
Fix issue #2289, apply ghc-options to snapshot pkg
1 commit with 3 additions and 2 deletions
Jun 30, 2016
mgsloan commented on pull request commercialhaskell/stack#2305
@mgsloan

Thanks a bunch for figuring this out and opening a PR!!

Jun 30, 2016
@mgsloan

There are cases where you don't care about those, for example when producing source distributions - https://github.com/commercialhaskell/stack/blob…

Jun 29, 2016
@mgsloan

OverloadedRecordFields requires GHC 8. You should pick a resolver that uses ghc 8, like a recent nightly.

Jun 29, 2016
@mgsloan

Why was getDefaultPackageConfig added in c891a24 and used in two places where the refactored getPackageConfig can be used? There's enough informat…

Jun 29, 2016
@mgsloan

The issue is that ghcjs is currently hardcoding the node path - ghcjs/ghcjs#491

Jun 28, 2016
mgsloan commented on issue jqPlot/jqPlot#82
@mgsloan

Sorry, I have other stuff to work on. Just documenting the issue, particularly as this pattern may occur elsewhere.

Jun 24, 2016
@mgsloan

Actually looking harder at that error message, it probably means that /home/netsu/.stack/setup-exe-cache/x86_64-linux/setup-Simple-Cabal-1.22.5.0-g…

Jun 24, 2016
@mgsloan

Thanks for investigating this and posting your progress! It does indeed look like 1.22.5.0 is still in your global packages. There's a better way t…

Jun 24, 2016
@mgsloan
How to add non-Stackage GitHub dependency
Jun 24, 2016
@mgsloan

Package names are case sensitive. You want HMap in build-deps. It would be great to have typo suggestions in more places - #1748

Jun 24, 2016
@mgsloan

Can't there be two Cabals, one to build Setup.hs, and other to build packages? No, then Setup.hs can't depend on those other packages. Yes, supp…

Jun 24, 2016
mgsloan commented on pull request commercialhaskell/stack#2301
@mgsloan

LGTM!

Jun 24, 2016
@mgsloan

cabal-install version doesn't matter. Stack uses Cabal, a library, not cabal-install (well except for --solver). Confusing naming, I know. Nothing …

Jun 24, 2016
@mgsloan

@sjakobi Hmm, decent idea! It seems like stack works fine with Cabal-1.24, but I don't think much scrutiny has been applied there. stack setup --up…

Jun 24, 2016
@mgsloan

Also, we may want to give --upgrade-cabal a major cabal version upper bound. For example, we didn't really test with Cabal-1.24, it could have chan…